LinuxQMISDK: cdmaMsgDecodingParams Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
cdmaMsgDecodingParams Struct Reference

## Data Fields
ULONG | messageLength
BYTE * | pMessage
ULONG * | pMessageID
BYTE * | pSenderAddrLength
CHAR * | pSenderAddr
BYTE * | pTextMsgLength
WORD * | pTextMsg
BYTE * | pPriority
BYTE * | pPrivacy
BYTE * | pLanguage
BYTE | mcTimeStamp [0x08]
BYTE | absoluteValidity [0x08]
BYTE * | pRelativeValidity
BYTE * | pDisplayMode
BOOL * | pUserAcknowledgementReq
BOOL * | pReadAcknowledgementReq
BYTE * | pAlertPriority
BYTE * | pCallbkAddrLength
CHAR * | pCallbkAddr

## Detailed Description

Structure contains parameters which need to be decoded from message

Parameters

  messageLength[IN] | Length of the message to be decoded in bytes
  pMessage[IN] | Message read off the device via GetSMS
  pSenderAddrLength[IN/OUT] | Upon input, indicates the maximum number of ASCII characters (including NULL termination) that the pSenderAddr buffer can accommodate. Note that a length of 14 is reasonable.Upon successful output, returns the length of originating address string (including the NULL termination)
  pSenderAddr[OUT] | Returns NULL-terminated ASCII String containing the originating address.International number will be prepended with a '+'character
  pTextMsgLength[IN/OUT] | Upon input, specifies the number of UCS2 characters the given text message buffer can accommodate.Upon successful output, returns the number of UCS2 characters returns in the given text messagebuffer(including NULL-terminator)
  pTextMsg[OUT] | Returns the text message as NULL-terminated UCS2 string
  pPriority[OUT] | (optional parameter) Returns the priority setting of the message 0x00 - normal 0x01 - interactive 0x02 - urgent 0x03 - emergency 0xFF - unavailable setting
  pPrivacy[OUT](optional | parameter) Returns the privacy setting of the message 0x00 - not restricted 0x01 - restricted 0x02 - confidential 0x03 - secret 0xFF - unavailable setting
  pLanguage[OUT] | (optional parameter ) Returns the language setting of the message 0x00 - unspecified 0x01 - english 0x02 - french 0x03 - spanish 0x04 - japanese 0x05 - korean 0x06 - chinese 0x07 - hebrew 0xFF - unavailable setting
  mcTimeStamp[8][OUT] | (optional parameter) Returns the message center timestamp which takes the form: YYMMDDHHMMSSTZ where YY - year MM - month DD - day HH - hour MM - minute SS - second TZ - timezone All values are in decimal. Timezone is in relation to GMT, one unit is equal to 15 minutes and MSB indicates a negative value.If this information is unavailable for message then this field will be filled with 0xFF
  absoluteValidity[8][OUT] | (optional parameter) Returns the absolute validity period setting for this message.This field takes the same form as mcTimeStamp
  pRelativeValidity[OUT] | (optional parameter) Returns the relative validity period.Values have the following meanings: 0 to 143: validity period =(value + 1)* 5 minutes 144 to 167: validity period =12 hours+(value - 143)*30 minutes 168 to 196: validity period = (value - 166) * 1 day 197 to 244: validity period = (value - 192) * 1 week 245: validity period = indefinite 246: validity period = immediate 247: validity period = valid until mobile becomes inactive 248: validity period = valid until registration area changes 249 to 254: reserved 255: unavailable information
  pDisplayMode[OUT] | (optional parameter) Returns the display mode parameter 0x00 - immediate display 0x01 - mobile default setting 0x02 - user invoked 0x03 - reserved 0xFF - unavailable parameter
  pUserAcknowledgementReq[OUT] | (optional parameter) Returns the user (manual) acknowledgment request parameter TRUE - means the user is requested to manually acknowledge the delivery of the message. FALSE - means no such user acknowledgement is requested
  pReadAcknowledgementReq[OUT] | (optional parameter) Returns the read acknowledgement request parameter TRUE - means acknowledgment of the message being viewed is requested. FALSE - means no such read acknowledgement is requested
  pAlertPriority[OUT] | (optional parameter) Returns the alerting parameter setting 0x00 - use default alert 0x01 - use low priority alert 0x02 - use medium priority alert 0x03 - use high priority alert 0xFF - unavailable parameter
  pCallbkAddrLength[OUT] | (optional parameter) returns the length of Callback address string (including the NULL termination)
  pCallbkAddr[OUT] | (optional parameter) returns NULL-terminated ASCII String containing callback address String containing the Call Back number with a 32 maximum characters.

## Field Documentation

BYTE cdmaMsgDecodingParams::absoluteValidity[0x08]

BYTE cdmaMsgDecodingParams::mcTimeStamp[0x08]

ULONG cdmaMsgDecodingParams::messageLength

BYTE* cdmaMsgDecodingParams::pAlertPriority

CHAR* cdmaMsgDecodingParams::pCallbkAddr

BYTE* cdmaMsgDecodingParams::pCallbkAddrLength

BYTE* cdmaMsgDecodingParams::pDisplayMode

BYTE* cdmaMsgDecodingParams::pLanguage

BYTE* cdmaMsgDecodingParams::pMessage

ULONG* cdmaMsgDecodingParams::pMessageID

BYTE* cdmaMsgDecodingParams::pPriority

BYTE* cdmaMsgDecodingParams::pPrivacy

BOOL* cdmaMsgDecodingParams::pReadAcknowledgementReq

BYTE* cdmaMsgDecodingParams::pRelativeValidity

CHAR* cdmaMsgDecodingParams::pSenderAddr

BYTE* cdmaMsgDecodingParams::pSenderAddrLength

WORD* cdmaMsgDecodingParams::pTextMsg

BYTE* cdmaMsgDecodingParams::pTextMsgLength

BOOL* cdmaMsgDecodingParams::pUserAcknowledgementReq